using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace Portal.Object
{
    public class Variant
    {
        public string Name;
        public Region[] Regions;

        public void Read(MetaNode[] hlmt)
        {
            Name = (string)hlmt[0].GetValue();
            Regions = new Region[((Reflexive)hlmt[2]).GetChunkCount()];
            for (int i = 0; i < Regions.Length; i++)
            {
                ((Reflexive)hlmt[2]).ChangeIndex(i);
                Regions[i] = new Region();
                Regions[i].Read((MetaNode[])hlmt[2].GetValue());
            }
        }
    }
}
